# Class InviteDto | EchoHub Documentation

# Class InviteDto

Namespace
  EchoHub.Core.DTOs

Assembly
  EchoHub.Core.dll

    public record InviteDto : IEquatable<InviteDto>

Inheritance
  object
  InviteDto

Implements
  IEquatable<InviteDto>

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.Equals(object, object)
  object.ReferenceEquals(object, object)

## Constructors

### InviteDto(InviteDto)

    protected InviteDto(InviteDto original)

#### Parameters

`original` InviteDto

### InviteDto(string, string, DateTimeOffset, DateTimeOffset?, int, int)

    public InviteDto(string Code, string CreatedByUsername, DateTimeOffset CreatedAt, DateTimeOffset? ExpiresAt, int MaxUses, int UseCount)

#### Parameters

`Code` string
`CreatedByUsername` string
`CreatedAt` DateTimeOffset
`ExpiresAt` DateTimeOffset?
`MaxUses` int
`UseCount` int

## Properties

### Code

    public string Code { get; init; }

#### Property Value

string

### CreatedAt

    public DateTimeOffset CreatedAt { get; init; }

#### Property Value

DateTimeOffset

### CreatedByUsername

    public string CreatedByUsername { get; init; }

#### Property Value

string

### EqualityContract

    protected virtual Type EqualityContract { get; }

#### Property Value

Type

### ExpiresAt

    public DateTimeOffset? ExpiresAt { get; init; }

#### Property Value

DateTimeOffset?

### MaxUses

    public int MaxUses { get; init; }

#### Property Value

int

### UseCount

    public int UseCount { get; init; }

#### Property Value

int

## Methods

### Deconstruct(out string, out string, out DateTimeOffset, out DateTimeOffset?, out int, out int)

    public void Deconstruct(out string Code, out string CreatedByUsername, out DateTimeOffset CreatedAt, out DateTimeOffset? ExpiresAt, out int MaxUses, out int UseCount)

#### Parameters

`Code` string
`CreatedByUsername` string
`CreatedAt` DateTimeOffset
`ExpiresAt` DateTimeOffset?
`MaxUses` int
`UseCount` int

### Equals(InviteDto?)

    public virtual bool Equals(InviteDto? other)

#### Parameters

`other` InviteDto

#### Returns

bool

### Equals(object?)

    public override bool Equals(object? obj)

#### Parameters

`obj` object

#### Returns

bool

### GetHashCode()

    public override int GetHashCode()

#### Returns

int

### PrintMembers(StringBuilder)

    protected virtual bool PrintMembers(StringBuilder builder)

#### Parameters

`builder` StringBuilder

#### Returns

bool

### ToString()

    public override string ToString()

#### Returns

string

## Operators

### operator ==(InviteDto?, InviteDto?)

    public static bool operator ==(InviteDto? left, InviteDto? right)

#### Parameters

`left` InviteDto
`right` InviteDto

#### Returns

bool

### operator !=(InviteDto?, InviteDto?)

    public static bool operator !=(InviteDto? left, InviteDto? right)

#### Parameters

`left` InviteDto
`right` InviteDto

#### Returns

bool